﻿using System;
using System.Windows.Forms;

namespace Upload_Ftp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void btnUpload_Click(object sender, EventArgs e)
        {
            Upload upload = new Upload();

            if (!string.IsNullOrWhiteSpace(txtURL.Text) || !string.IsNullOrWhiteSpace(txtSenha.Text)
                || !string.IsNullOrWhiteSpace(txtUsuario.Text) || !string.IsNullOrWhiteSpace(txtArquivo.Text) )
            {
                upload.url = txtURL.Text;
                upload.usuario = txtUsuario.Text;
                upload.senha = txtSenha.Text;
                upload.arquivo = txtArquivo.Text;
                try
                {
                    this.Cursor = Cursors.WaitCursor;
                    lblmsg.Text = "Enviando arquivo...";
                    Application.DoEvents();
                    ArquivosWeb.FtpUploadArquivo(upload);
                    lblmsg.Text = "Arquivo Enviado...";
                }
                catch (Exception ex)
                {
                    this.Width = 475;
                    this.Height = 347;
                    lblmsg.Text = "Erro ao enviar arquivo..: " + ex.Message;
                }
                finally
                {
                    this.Cursor = Cursors.Default;
                }
            }
            else
            {
                MessageBox.Show("Dados inválidos, verifique... " , "Erro", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
        }

        private void btnLocalizar_Click(object sender, EventArgs e)
        {
            OpenFileDialog ofd1 = new OpenFileDialog();
            ofd1.CheckFileExists = true;
            ofd1.Multiselect = false;

            if (ofd1.ShowDialog() == DialogResult.OK)
            {
                txtArquivo.Text = ofd1.FileName;
            }
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.Width = 475;
            this.Height = 266;
        }
    }
}
