﻿using System.IO;
using System.Net;

namespace Upload_Ftp
{
    public class ArquivosWeb
    {
        public static void FtpUploadArquivo(Upload upld)
        {
            try
            {
                // Pega o objeto usado para se comunicar com o servidor
                FtpWebRequest request = (FtpWebRequest)WebRequest.Create(upld.url);

                request.Method = WebRequestMethods.Ftp.UploadFile;

                // Obtem as credenciais de rede
                request.Credentials = new NetworkCredential(upld.usuario, upld.senha);

                // Le o conteúdo do arquivo em um array de bytes
                byte[] bytes = System.IO.File.ReadAllBytes(upld.arquivo);

                // escreve os bytes em um request stream.
                request.ContentLength = bytes.Length;

                using (Stream request_stream = request.GetRequestStream())
                {
                    request_stream.Write(bytes, 0, bytes.Length);
                    request_stream.Close();
                }
            }
            catch
            {
                throw;
            }
        }
    }
}
